Bug 218430 - [patch][update] security/strongswan: Update to 5.5.2
Summary: [patch][update] security/strongswan: Update to 5.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-06 13:43 UTC by Renato Botelho
Modified: 2017-04-13 11:39 UTC (History)
2 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
Upgrade strongswan to 5.5.2 (4.84 KB, patch)
2017-04-06 13:43 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2017-04-06 13:43:55 UTC
Created attachment 181545 [details]
Upgrade strongswan to 5.5.2

* Update security/strongswan to 5.5.2
* Add new TPM option, off by default
* Sort OPTIONS

Sponsored by: Rubicon Communications (Netgate)
Comment 1 strongswan 2017-04-10 19:14:45 UTC
I'm happy with the patch to update to 5.5.2
Comment 2 commit-hook freebsd_committer 2017-04-12 17:25:41 UTC
A commit references this bug:

Author: garga
Date: Wed Apr 12 17:25:34 UTC 2017
New revision: 438397
URL: https://svnweb.freebsd.org/changeset/ports/438397

Log:
  Update security/strongswan to 5.5.2

  PR:		218430
  Approved by:	maintainer
  Sponsored by:	Rubicon Communications (Netgate)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo
  head/security/strongswan/pkg-plist
Comment 3 dewayne 2017-04-12 20:58:48 UTC
(In reply to commit-hook from comment #2)
Thanks Garga,
Unfortunately 5.5.2 hasn't addressed 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212149

# /usr/local/libexec/ipsec/charon
00[DMN] Starting IKE charon daemon (strongSwan 5.5.2, FreeBSD 11.0-STABLE, amd64)
00[LIB] plugin 'openssl' failed to load: /usr/local/lib/ipsec/plugins/libstrongswan-openssl.so: Undefined symbol "RSA_set0_factors"
Comment 4 Renato Botelho freebsd_committer 2017-04-13 11:39:26 UTC
(In reply to dewayne from comment #3)
I never use LibreSSL and it's not a regression so I don't believe this specific ticket has any relation with 212149.

If you have a patch to propose please submit on that ticket and ask for maintainer's approval to get it committed.